package cn.com.poc.agent_application.service;

import cn.com.yict.framemax.core.service.BaseService;
import cn.com.poc.agent_application.entity.BizAgentApplicationCategoryEntity;
import cn.com.yict.framemax.data.model.PagingInfo;
import java.util.Collection;
import java.util.List;

public interface BizAgentApplicationCategoryService extends BaseService {

    BizAgentApplicationCategoryEntity get(java.lang.Integer id) throws Exception;

    List<BizAgentApplicationCategoryEntity> findByExample(BizAgentApplicationCategoryEntity example,PagingInfo pagingInfo) throws Exception;
    
    BizAgentApplicationCategoryEntity save(BizAgentApplicationCategoryEntity entity) throws Exception;

    BizAgentApplicationCategoryEntity update(BizAgentApplicationCategoryEntity entity) throws Exception;

    void deletedById(java.lang.Integer id) throws Exception;
    
}